/*=========================== matrimonial card =========================*/
.matrimonial_card_main_div{
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 20px;
    gap: 10px;
    /*display: none;*/
}
.matrimonial_card_menu{
    display: flex;
    flex-direction: column;
    gap: 20px;
}
.matrimonial_card_item{
    display: flex;
    height: 260px;
    width: min(600px,100%);
    border: 1px solid #999;
    box-shadow: 2px 2px 5px #ccc;
    border-radius:5px;
    background: var(--background-color-light);
    overflow: hidden;
}
.matrimonial_card_item .mat_img{
    height: 100%;
    width: auto;
    aspect-ratio: 1/1.2;
}
.matrimonial_card_item .mat_img img{
    height: 100%;
    width: 100%;
    object-fit: contain;
}
.matrimonial_content_row{
    display: flex;
    grid-column-gap: 10px;
    margin-bottom: 5px;
}
.matrimonial_content_row span{
    display: flex;
    font-size: 14px;
}
.matrimonial_content_div{
    padding: 10px 15px;
}
.matrimonial_content_row span:nth-child(1){
    width:130px;
    color: var(--text-color-light);
}
.matrimonial_content_row span:nth-child(3){
    font-size: 14px;
}
.invite-msg{
    font-size: 14px;
}
.invite-msg span{
    opacity: .8;
}
.invite-msg a{
    color: #d00!important;
    cursor: pointer;
}
.matrimonial_action_buttons{
    display: flex;
    align-items: cursor;
    gap: 5px;
    margin-top:10px;
}
.matrimonial_action_buttons button {
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
    gap: 8px;
    padding: 5px 10px;
    outline: none;
    background: #fff;
    border: 1px solid lightgray;
    cursor: pointer;
    color: var(--text-color-light);
    font-size: 14px;
    font-weight: light;
    border-radius: 2px;
    transition: all .2s;
}
.matrimonial_action_buttons button:hover{
    background: var(--background-color);
    color: #fff;
}
/*=========================== about us =========================*/
.about_us_row{
    margin:auto;
    margin-top:20px;
    width:90%;
    height:350px;
    overflow:hidden;
    margin-bottom:20px;
}
.about_img_div{
    width: 100%;
    height: 100%;
    /*aspect-ratio: 1/1;*/
    position: relative;
}

.about_background_img{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 1;
    height: 100%;
    width: 100%;
    filter:blur(10px);
}
.about_us_row .aboutus_img{
    position:absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    height:95%;
    width:95%;
    object-fit:contain;
    z-index:1;
}
.aboutus_content_div{
    height:100%;
    display:grid;
    grid-template-rows:1fr 50px;
}
.aboutus_content{
    height:100%;
    overflow:hidden;
    text-align:justify;
    
}
/*===========================success story=========================*/
.success_story_main_div{
    width: 90%;
    margin: auto;
    margin-top: 10px;
    
}
.success_story_main_div .slick-prev:before, .success_story_main_div .slick-next:before{
    color: #dfe0e3!important;
}

.success_story_item{
    max-width: 100%;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    margin: 10px;
    border-radius: 5px;
    cursor: pointer;
    /*overflow: hidden;*/
    transition: all .3s;
}
.success_story_item:hover{
    box-shadow: rgba(99, 99, 99, 0.5) 0px 3px 8px 1px;
}
.success_img_div{
    width: 100%;
    aspect-ratio: 2/1.5;
    background: rgba(0,0,0,.1);
}
.success_img_div img{
    height: 100%;
    width: 100%;
    object-fit: contain;
}
.success_content_div{
    padding: 15px;
}
.success_content_div .success_name{
    font-size: 20px;
    font-weight: 500;
}
.success_content_div .success_short_desc{
    font-size: 14px;
    color: var(--text-color-light);
    margin-top: 10px;
    display: -webkit-box;
    -webkit-line-clamp: 4; /* Limit to 4 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

/*============================== membership ===============================*/
#membership_section{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    background: linear-gradient(to right, #2973d3, #4a90e2, #6fb3f2);
    padding: 50px 20px;
}
.membership_head{
    font-size: 34px;
    line-height: 35px;
    color: #fff;
    font-weight: 500;
    margin-bottom: 30px;
}
.membership_head span{
    color: #fffc00;
    text-align: center;
}
.membership_plan_main_div{
    display: flex;
    gap: 10px;
    overflow-x: auto;
    max-width: 100%;
}
.membership_item{
    background: #fff;
    padding: 25px;
    min-width: 345px;
    border-radius: 25px;
    box-sizing: border-box;
    
    
}
.membership_benefit{
    padding: 0;
}
.membership_benefit > li{
    font-size: 16px;
    font-weight: 400;
    padding-top: 10px;
    position: relative;
    padding-left: 25px;
    list-style: none;
    padding-bottom: 10px;
    border-bottom: 1px solid #eee;
}

.membership_benefit > li:before {
    content: "\f05d";
    font-family: FontAwesome;
    font-size: 14px;
    color: #ff5a60;
    position: absolute;
    left: 0;
}
.membership_title{
    font-size: 28px;
    font-weight: 400;
    color: #333;
    line-height: 35px;
    margin-bottom: 20px;
    position: relative;
    padding-bottom: 7px;
}
.membership_title:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 40px;
    height: 3px;
    background: #333;
}
.membership_item .membership_fee {
    display: block;
    text-align: center;
    color: #333;
    font-size: 30px;
    font-family: 'Roboto', sans-serif;
    font-weight: bold;
    padding: 0px;
    line-height: 22px;
    margin-top: 25px;
    margin-bottom: 5px;
}
.membership_item .membership_fee .web-rupee {
    color: #ff5a60;
    font-size: 22px;
}
.membership_item .membership_pay_btn{
    width: 100%;
    display: block;
    text-align: center;
    text-shadow: none;
    border-radius: 25px;
    color: #ff5a60;
    font-size: 15px;
    font-weight: 400;
    padding: 10px;
    line-height: 18px;
    margin-top: 20px;
    border: solid 1px #ff5a60;
    background: transparent;
    transition: all 0.3s ease;
}
.membership_item .membership_pay_btn:hover{
    background: #ff5a60;
    color: #fff;
}
/* Extra large devices (1200px and above) */
@media (max-width: 1199.98px) {
  .matrimonial_card_item{
      display: flex;
      flex-direction: column;
      height: auto;
  }
  .matrimonial_card_item .mat_img{
      height: 250px;
      background: #eee;
  }
}

/* Large devices (992px and above) */
@media (max-width: 991.98px) {
    .matrimonial_card_main_div{
        grid-template-columns: 1fr;
    }
    .matrimonial_card_menu{
        align-items: center;
    }
    .matrimonial_content_row span{
        font-size: 13px;
    }
    .matrimonial_content_row span:nth-child(1){
        width:110px;
    }
    .invite-msg{
        font-size: 13px;
    }
}

/* Medium devices (768px and above) */
@media (max-width: 767.98px) {
  .membership_title{
      font-size:20px;
  }
  .about_us_row{
    height:auto;
}
    .about_img_div{
        width: 100%;
        height: auto;
        aspect-ratio: 1/1;
    }
.success_story_main_div, .success_story_item{
    overflow: hidden;
}
}

/* Small devices (576px and above) */
@media (max-width: 575.98px) {
  /* CSS rules */
}

/* Extra small devices (phones, less than 576px) */
@media (max-width: 375px) {
  /* CSS rules */
}
